<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.md.ext.ExtNewmsgInboxMapper">
  <insert id="insertBatch" parameterType="java.util.List">
    insert into md_newmsg_inbox
    (id, orginId, outboxId,
    appId, appName, msgType,
    userId, userType, orgId,
    deptId, from_userId, from_userType,
    from_orgId, from_deptId, needPush,
    state, userRead, readTime,
    userReply, replyTime, ctime,
    ext, title, body, params)
    values
    <foreach collection ="list" item="item" separator =",">
      (#{item.id,jdbcType=VARCHAR}, #{item.orginid,jdbcType=VARCHAR}, #{item.outboxid,jdbcType=VARCHAR},
      #{item.appid,jdbcType=VARCHAR}, #{item.appname,jdbcType=VARCHAR}, #{item.msgtype,jdbcType=TINYINT},
      #{item.userid,jdbcType=VARCHAR}, #{item.usertype,jdbcType=TINYINT}, #{item.orgid,jdbcType=VARCHAR},
      #{item.deptid,jdbcType=VARCHAR}, #{item.fromUserid,jdbcType=VARCHAR}, #{item.fromUsertype,jdbcType=TINYINT},
      #{item.fromOrgid,jdbcType=VARCHAR}, #{item.fromDeptid,jdbcType=VARCHAR}, #{item.needpush,jdbcType=TINYINT},
      #{item.state,jdbcType=TINYINT}, #{item.userread,jdbcType=TINYINT}, #{item.readtime,jdbcType=BIGINT},
      #{item.userreply,jdbcType=TINYINT}, #{item.replytime,jdbcType=BIGINT}, #{item.ctime,jdbcType=BIGINT},
      #{item.ext,jdbcType=VARCHAR}, #{item.title,jdbcType=VARCHAR}, #{item.body,jdbcType=LONGVARCHAR},
      #{item.params,jdbcType=OTHER})
    </foreach >
  </insert>
</mapper>